constant
defined
Misc. Functions
PHP Manual

# define

(PHP 4, PHP 5)

define — Defines a named constant

### Description

bool define ( string `$name` , mixed `$value` [, bool `$case_insensitive` ] )

Defines a named constant at runtime.

### Parameters

`name`

  The name of the constant.

`value`

  The value of the constant; only scalar and null values are allowed. Scalar values are integer, float, string or boolean values.

`case_insensitive`

  If set to `TRUE`, the constant will be defined case-insensitive. The default behaviour is case-sensitive; i.e. CONSTANT and Constant represent different values.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Defining Constants

`<?php
define("CONSTANT", "Hello world.");
echo CONSTANT; // outputs "Hello world."
echo Constant; // outputs "Constant" and issues a notice.
define("GREETING", "Hello you.", true);
echo GREETING; // outputs "Hello you."
echo Greeting; // outputs "Hello you."
?>`

### See Also

- defined()
- constant()
- The section on Constants

constant
defined
Misc. Functions
PHP Manual